﻿@model vmListadoModulos

<a id="edit"
   data-toggle="modal"
   data-target="#modal-action"
   data-ajax-success="success"
   data-ajax="true"
   data-ajax-url="Modulo/AgregarModulo/@Model.idsistema"
   class="@ColorBoton.Principal">
    <i class="@IconoBoton.Agregar"></i>  Agregar
</a>
<table id="tablaModulo2" class="@Tabla.EstiloTabla  panel">
    <thead>
        <tr>
            <th>Id</th>
            <th>Nombre</th> 
            <th>Descripción</th> 
            <th>Fecha Act.</th>
            <th>Estado</th>
            <th></th>
        </tr>
    </thead>    
    <tbody>
        @if (Model != null)
        {
            @foreach (var item in Model.Modulos)
            {
                <tr>
                    <td>@Html.DisplayFor(modelItem => item.ISstma)-@Html.DisplayFor(modelItem => item.IMdlo)</td>
                    <td>@Html.DisplayFor(modelItem => item.Nmbre)</td>
                    <td>@Html.DisplayFor(modelItem => item.Dscrpcn)</td>
                    <td>@Html.DisplayFor(modelItem => item.FActlzcn)</td>
                    <td>
                        @if (item.CEstdo == "A")
                        {
                            <span class="label label-success">Activo</span>
                        }
                        else
                        {
                            <span class="label label-danger">Inactivo</span>
                        }
                    </td>

                    <td>
                        <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="Editar">
                            <a id="edit"
                               data-toggle="modal"
                               data-target="#modal-action"
                               data-ajax-success="success"
                               data-ajax="true"
                               data-ajax-url="/Modulo/EditarModulo?idMod=@item.nId"
                               class="@ColorBoton.Info">
                                <i class="@IconoBoton.Editar"></i>
                            </a>
                        </span>
                        <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="Eliminar">
                            <a id="delete"
                               data-ajax-confirm="Está seguro que desea eliminar el Módulo @item.Nmbre ?"
                               data-ajax-success="successElimina"
                               data-ajax="true"
                               data-ajax-update="#tablaModulo"
                               data-ajax-url="/Modulo/EliminarModulo?idMod=@item.nId"
                               class="@ColorBoton.Error">
                                <i class="@IconoBoton.Eliminar"></i>
                            </a>
                        </span>
                    </td>
                </tr>
            }
        }
    </tbody>
</table>
